Skip to main content
POST
Create an allow-list entry

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Scopes

openid

Issue an OIDC ID token identifying the caller.

profile

Read the caller's basic profile claims.

email

Read the caller's email address.

Body

application/json
pattern
string
required
pattern_type
string
required
detection_types
string[] | null
reason
string | null

Response

The created allow-list entry

created_at
string
required
created_by
string
required
detection_types
string[]
required
id
string
required
org_id
string
required
pattern
string
required
pattern_type
string
required
reason
string
required